Update support ticket
curl --request POST \
--url https://demo.onlinebillingform.com/api/v2/ticket/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 123,
"subject": "<string>",
"user_id": 123,
"assignee_by": 123,
"support_department": "<string>"
}
'import requests
url = "https://demo.onlinebillingform.com/api/v2/ticket/update"
payload = {
"id": 123,
"subject": "<string>",
"user_id": 123,
"assignee_by": 123,
"support_department": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 123,
subject: '<string>',
user_id: 123,
assignee_by: 123,
support_department: '<string>'
})
};
fetch('https://demo.onlinebillingform.com/api/v2/ticket/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"ticket": {
"id": 1,
"subject": "Cannot access my invoices",
"user_id": 42,
"assignee_by": null,
"status": "pending",
"support_department": "Billing",
"priority": "low",
"last_action": "Created"
}
}{
"success": false,
"errors": "Invalid API Key"
}{
"success": false,
"errors": "Insufficient permissions for this endpoint."
}{
"success": false,
"errors": "Support ticket ID: 1 not found."
}{
"success": false,
"errors": {
"id": [
"The id field is required."
]
}
}Support
Update support ticket
Use this BillingServ API endpoint to update support ticket. Review the response for the operation result or validation errors.
POST
/
ticket
/
update
Update support ticket
Authorizations
Use Authorization: Bearer <live_api_key>.
Body
application/json
Support ticket ID.
Ticket subject. Letters, numbers, spaces, and basic punctuation only.
ID of the customer the ticket belongs to.
Staff user ID to assign the ticket to.
Available options:
open, pending, close, awaiting_reply Available options:
low, medium, high, emergency Response
OK
⌘I